package nl.dragontamerfred.YRPerks.Classes;

import nl.dragontamerfred.YRPerks.SubClasses.SubClassElf;
import nl.dragontamerfred.YRPerks.SubClasses.SubClassHunter;
import nl.dragontamerfred.YRPerks.SubClasses.SubClassNone;
import nl.dragontamerfred.YRPerks.Types.Classs;
import nl.dragontamerfred.YRPerks.Types.Level;
import nl.dragontamerfred.YRPerks.Types.Reward;
import org.bukkit.Material;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

public class ClassNone extends Classs {

    public ClassNone() {
        this.id = "none";
        this.name = "None";
        this.material = Material.BARRIER;
        this.damage = 0;
        List<String> description = new ArrayList<>();
        description.add("This is");
        description.add("something");
        description.add("jharmen has");
        description.add("to do.");
        this.description = description;
        LinkedList<Level> levels = new LinkedList<>();
        levels.add(new level1());
        levels.add(new level2());
        levels.add(new level3());
        levels.add(new level4());
        levels.add(new level5());
        this.levels = levels;
        this.subClassOne = new SubClassNone();
        this.subClassTwo = new SubClassNone();
    }

    private class level1 extends Level {
        private level1() {
            this.name = "Level 1";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK).setPerk("none");
        }
    }

    private class level2 extends Level {
        private level2() {
            this.name = "Level 2";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK).setPerk("none");
        }
    }

    private class level3 extends Level {
        private level3() {
            this.name = "Level 3";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK).setPerk("none");
        }
    }

    private class level4 extends Level {
        private level4() {
            this.name = "Level 4";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK).setPerk("none");
        }
    }

    private class level5 extends Level {
        private level5() {
            this.name = "Level 5";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK_WITH_SUB_CLASS).setPerk("none");
        }
    }
}
