package nl.dragontamerfred.YRPerks.Events;

import nl.dragontamerfred.YRPerks.Types.DamageCause;
import org.bukkit.entity.Player;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class KillEvent extends Event {

    private static HandlerList handlers = new HandlerList();

    private Player killer;

    private Player killed;
    private DamageCause cause;

    public KillEvent(Player killer, Player killed, DamageCause cause) {
        this.killer = killer;
        this.killed = killed;
        this.cause = cause;
    }

    public Player getKiller() {
        return killer;
    }

    public Player getKilled() {
        return killed;
    }

    public DamageCause getCause() {
        return cause;
    }

    @Override
    public HandlerList getHandlers() {
        return handlers;
    }

    public static HandlerList getHandlerList() {
        return handlers;
    }
}
