package nl.dragontamerfred.YRPerks;

import org.bukkit.configuration.file.YamlConfiguration;

import java.io.File;

public class Messages {

    public static String PREFIX;
    public static String NOT_A_PLAYER;
    public static String NO_PERMISSION;
    public static String PLAYER_NOT_FOUND;
    public static String INVALID_USAGE;

    public static void load(File file) {
        try {
            if (!file.getParentFile().exists())
                file.getParentFile().mkdirs();
            if (!file.exists())
                Utils.ExportResource("/messages.yml", file);
            YamlConfiguration config = new YamlConfiguration();
            config.load(file);

            PREFIX = Utils.color(config.getString("prefix"));
            NOT_A_PLAYER = Utils.color(config.getString("not-a-player"));
            NO_PERMISSION = Utils.color(config.getString("no-permission"));
            PLAYER_NOT_FOUND = Utils.color(config.getString("player-not-found"));
            INVALID_USAGE = Utils.color(config.getString("invalid-usage"));

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
