package nl.dragontamerfred.YRPerks.SubClasses;

import nl.dragontamerfred.YRPerks.Types.Level;
import nl.dragontamerfred.YRPerks.Types.Reward;
import nl.dragontamerfred.YRPerks.Types.SubClasss;
import org.bukkit.Material;

import java.util.ArrayList;
import java.util.LinkedList;
import java.util.List;

public class SubClassElf extends SubClasss {

    public SubClassElf() {
        this.id = "elf";
        this.name = "Elf";
        this.material = Material.BARRIER;
        this.damage = 0;
        List<String> description = new ArrayList<>();
        description.add("This is");
        description.add("something");
        description.add("jharmen has");
        description.add("to do.");
        this.description = description;
        LinkedList<Level> levels = new LinkedList<>();
        levels.add(new level1());
        levels.add(new level2());
        levels.add(new level3());
        this.levels = levels;
    }

    private class level1 extends Level {
        private level1() {
            this.name = "Level 1";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK).setPerk("elfJump");
        }
    }

    private class level2 extends Level {
        private level2() {
            this.name = "Level 2";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK).setPerk("barrage");
        }
    }

    private class level3 extends Level {
        private level3() {
            this.name = "Level 3";
            List<String> description = new ArrayList<>();
            description.add("This is");
            description.add("something");
            description.add("jharmen has");
            description.add("to do.");
            this.description = description;
            this.reward = new Reward(Reward.Type.PERK).setPerk("none");
        }
    }
}
