package nl.dragontamerfred.YRPerks.Types;

import org.bukkit.Material;
import org.bukkit.event.Listener;

import java.util.List;
import java.util.UUID;

/**
 * Every class extending this class should also implement {@link Listener}.
 * If this is not the case it might cause issues at runtime.
 */
public class Perk implements Listener {

    public String id;
    public String name;
    public Material material;
    public Short damage;
    public List<String> description;

    public void resetCooldown(UUID uuid) {}

}
